name = "Larger Campfire Collision"
description = "Increases the collision radius of campfires and firepits in order to reduce crowding and make cooking easier. \n The size can be changed in the configuration options. \n This mod is server only if used in Don't Starve Together."

author = "XopherPM"
version = "0.5"

forumthread = "http://forums.kleientertainment.com/files/file/1191-larger-campfire-collision/"

api_version = 6
api_version_dst = 10

server_filter_tags = {"collision", "campfire", "fire", "Larger Campfire Collision"}

icon_atlas = "modicon.xml"
icon = "modicon.tex"

all_clients_require_mod = false
client_only_mod = false

dont_starve_compatible = true
reign_of_giants_compatible = true
dst_compatible = true

configuration_options = 
{
	{
		name = "sz_campfire",
		label = "Campfire Size",
		options = {
			{description = "0.2 (default)", data = "default"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = 1,
	},
	{
		name = "sz_coldfire",
		label = "Coldfire Size",
		options = {
			{description = "0.3 (default)", data = "default"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = 1,
	},
	{
		name = "sz_firepit",
		label = "Firepit Size",
		options = {
			{description = "0.3 (default)", data = "default"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = 1,
	},
	{
		name = "sz_coldfirepit",
		label = "Coldfirepit Size",
		options = {
			{description = "0.3 (default)", data = "default"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = 1,
	},
	{
		name = "change_campfirefire",
		label ="Compensate Hot",
		options = {
			{description = "No", data = false},
			{description = "Min size", data = "min"},
			{description = "Max size", data = "max"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = false,
	},	
	{
		name = "change_coldfirefire",
		label = "Compensate Cold",
		options = {
			{description = "No", data = false},
			{description = "Min size", data = "min"},
			{description = "Max size", data = "max"},
			{description = "0.5", data = .5},
			{description = "0.7", data = .7},
			{description = "1.0", data = 1},
			{description = "1.5", data = 1.5},
			{description = "2.0", data = 2},
		},
		default = false,
	},
	{
		name = "temp_mult",
		label = "xHeat (not recommended)",
		options = {
			{description = "None", data = false},
			{description = "1.1", data = 1.1},
			{description = "1.2", data = 1.2},
			{description = "1.3", data = 1.3},
			{description = "1.4", data = 1.4},
			{description = "1.5", data = 1.5},
			{description = "1.7", data = 1.7},
			{description = "2.0", data = 2},
			{description = "2.5", data = 2.5},
			{description = "3.0", data = 3},
		},
		default = false,
	},	
}
			