
function setNewTemp(self)
	if GLOBAL.TheWorld.ismastersim and GetModConfigData("change_"..self.prefab) then
		
		local sz_delta = ((type(GetModConfigData("change_"..self.prefab)) == "number" and (GetModConfigData("change_"..self.prefab)))
		or (((GetModConfigData("change_"..self.prefab) == "max") 
				and (((self.components.heater.endothermic)
				and (math.max(((type(GetModConfigData("sz_coldfire")) == "number" and GetModConfigData("sz_coldfire")) or 0), ((type(GetModConfigData("sz_coldfirepit")) == "number" and GetModConfigData("sz_coldfirepit")) or 0)))) 
			or (math.max(((type(GetModConfigData("sz_campfire")) == "number" and GetModConfigData("sz_campfire")) or 0), ((type(GetModConfigData("sz_firepit")) == "number" and GetModConfigData("sz_firepit")) or 0)))))
		or (((self.components.heater.endothermic)
				and (math.min(((type(GetModConfigData("sz_coldfire")) == "number" and GetModConfigData("sz_coldfire")) or 0), ((type(GetModConfigData("sz_coldfirepit")) == "number" and GetModConfigData("sz_coldfirepit")) or 0))))
			or (math.min(((type(GetModConfigData("sz_campfire")) == "number" and GetModConfigData("sz_campfire")) or 0), ((type(GetModConfigData("sz_firepit")) == "number" and GetModConfigData("sz_firepit")) or 0))))))
		sz_delta = sz_delta - .3

		local temp_mult = ((type(GetModConfigData("temp_mult") == "number") and GetModConfigData("temp_mult")) or 1)/(1-(sz_delta*sz_delta)/100)

		local oldHeatFn = self.components.heater.heatfn
		self.components.heater.heatfn = function(inst)
			return oldHeatFn(inst)*temp_mult
		end
	end
end
	
function setNewCapsule(self)
	if GLOBAL.TheWorld.ismastersim then
		local newrad = GetModConfigData("sz_"..self.prefab)
		if type(newrad) == "number" then
			self.entity:AddPhysics():SetCapsule(newrad, 2)
		end
	end
end

AddPrefabPostInit("firepit", setNewCapsule)
AddPrefabPostInit("campfire", setNewCapsule)
AddPrefabPostInit("coldfire", setNewCapsule)
AddPrefabPostInit("coldfirepit", setNewCapsule)

AddPrefabPostInit("campfirefire", setNewTemp)
AddPrefabPostInit("coldfirefire", setNewTemp)